Bug 42400 - [GTK] TypeKit (web) fonts not rendered
Summary: [GTK] TypeKit (web) fonts not rendered
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Text (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL: http://wisser.me
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-15 13:47 PDT by Jonas Wisser
Modified: 2010-10-21 16:43 PDT (History)
1 user (show)

See Also:


Attachments
Demonstration of the issue. (265.14 KB, image/png)
2010-07-15 13:55 PDT, Jonas Wisser
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Wisser 2010-07-15 13:47:18 PDT
In Midori 0.2.6 (WebkitGTK+ 1.2.1), the TypeKit fonts used on http://wisser.me are not rendered. As described in comment #2 on bug 41091 (https://bugs.webkit.org/show_bug.cgi?id=41091#c2), the font size is specified in CSS.
Comment 1 Jonas Wisser 2010-07-15 13:55:03 PDT
Created attachment 61714 [details]
Demonstration of the issue.

On elementaryOS pre-alpha (derived from Ubuntu 10.04) in Midori 0.2.6.
Comment 2 Martin Robinson 2010-10-04 15:15:26 PDT
Jonas, I think this may be corrected in SVN master. Is it possible for you to test using a recent build?
Comment 3 Jonas Wisser 2010-10-08 07:34:15 PDT
(In reply to comment #2)
> Jonas, I think this may be corrected in SVN master. Is it possible for you to test using a recent build?

Unfortunately, I'm no longer running elementary or any other Linux, and there's no Mac version, so no. Sorry.
Comment 4 Martin Robinson 2010-10-21 16:43:50 PDT
I believe this issue is fixed, so I'm going to close it. Anyone having font issues with WebKitGTK+ please file a new issue and CC me.